
Redmine - Defect #33067

Cannot preview and download an encrypted PDF attachments

2020-02-29 09:30 - 光 杨

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.5

Description

Environment:

Redmine version                3.4.5.stable

Ruby version                   2.3.3-p222 (2016-11-21) [i386-mingw32]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.11.0

Git                            2.14.1

Filesystem

Redmine plugins:

custom_users_as_assignees      0.0.3

redmine_agile                  1.4.12

redmine_issue_template         1.0.7

redmine_monitoring_controlling 0.1.1

redmine_work_time              0.3.4

redmine_workflow_hidden_fields 0.5.0

production.log:

I, [2020-02-29T10:00:51.094359 #13092]  INFO -- : Started GET

"/redmine/attachments/download/17/2019-12-12_018_%E5%8A%9F%E8%80%97%E5%A4%B1%E8%B4%A5&%E5%8A%A0%E5

%AF%86%E5%A4%B1%E8%B4%A5&%E6%B5%81%E9%87%8F%E4%B8%8D%E9%80%9A_ZTE.pdf" for 127.0.0.1 at

2020-02-29 10:00:51 +0800

I, [2020-02-29T10:00:51.094359 #13092]  INFO -- : Processing by AttachmentsController#download as HTML

I, [2020-02-29T10:00:51.094359 #13092]  INFO -- :   Parameters: {"id"=>"17",

"filename"=>"2019-12-12_018_功耗失败&加密失败&流量不通_ZTE.pdf"}

I, [2020-02-29T10:00:51.109959 #13092]  INFO -- :   Current user: admin (id=1)

I, [2020-02-29T10:00:51.109959 #13092]  INFO -- : Sent file

D:/redmine_data_DoNotMove/files/2020/01/200106131042_62ed3ba4302267d7e6a0b67c460972d8.pdf (0.0ms)

I, [2020-02-29T10:00:51.109959 #13092]  INFO -- : Completed 200 OK in 16ms (ActiveRecord: 0.0ms)

I, [2020-02-29T09:56:18.199629 #13092]  INFO -- : Started GET

"/redmine/attachments/download/17/2019-12-12_018_%E5%8A%9F%E8%80%97%E5%A4%B1%E8%B4%A5&%E5%8A%A0%E5

%AF%86%E5%A4%B1%E8%B4%A5&%E6%B5%81%E9%87%8F%E4%B8%8D%E9%80%9A_ZTE.pdf" for 127.0.0.1 at

2020-02-29 09:56:18 +0800

I, [2020-02-29T09:56:18.199629 #13092]  INFO -- : Processing by AttachmentsController#download as HTML

I, [2020-02-29T09:56:18.199629 #13092]  INFO -- :   Parameters: {"id"=>"17",

"filename"=>"2019-12-12_018_功耗失败&加密失败&流量不通_ZTE.pdf"}

I, [2020-02-29T09:56:18.215229 #13092]  INFO -- :   Current user: admin (id=1)

I, [2020-02-29T09:56:18.215229 #13092]  INFO -- : Completed 304 Not Modified in 16ms (ActiveRecord: 0.0ms)

Save the link to local，open pdf file error：Acrobat cannot open 2019-12-12_018_功耗失败&加密失败&流量不通_ZTE.pdf。This type is not

supported or the file is corrupted

History

#1 - 2020-02-29 09:33 - 光 杨

I can upload and download unencrypted PDF attachments，I can upload and download encrypted word and image attachments，only Cannot preview

and download an encrypted PDF attachments。

#2 - 2020-03-02 07:31 - 光 杨

- File 加密.pdf added
#3 - 2020-05-18 04:46 - 光 杨

- Status changed from New to Resolved

浏览器设置问题，浏览器改为默认不打开加密的文件，改为下载文件，可以解决问题

#4 - 2020-05-18 06:44 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

光 杨 wrote:

浏览器设置问题，浏览器改为默认不打开加密的文件，改为下载文件，可以解决问题

 Thank you for reporting the cause that the reported issue is due to a setting of the web browser.

I am closing this issue.

Files

加密.pdf 87.6 KB 2020-03-02 光 杨
